********************************************************************************
*                                                                              *
*  2DHF version 1-2003                                                         *
*  Copyright (C) 1996  Jacek Kobus, Leif Laaksonen, Dage Sundholm              *
*                                                                              *
*  This software may be used and distributed according to the terms            *
*  of the GNU General Public License, see README and COPYING.                  *
*                                                                              *
********************************************************************************
c ### prod2 ###
c
c     a vector times a vector: dr(i)=dx(i)*dy(i), i=1..n
c
      subroutine   prod2(n,dx,dy,dr)
      real*8	 dx(*),dy(*),dr(*)
      integer*4 i,n

      do i = 1,n
        dr(i) = dx(i) * dy(i)
      enddo

      return
      end
